Bug 479764 - Leap second message can hang the kernel
Leap second message can hang the kernel
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.6
All Linux
low Severity medium
: rc
: ---
Assigned To: Prarit Bhargava
Martin Jenner
:
Depends On:
Blocks: 808946
  Show dependency treegraph
 
Reported: 2009-01-12 17:30 EST by Chris Adams
Modified: 2012-07-27 15:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 808946 (view as bug list)
Environment:
Last Closed: 2009-05-18 15:37:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RHEL4 fix for this issue (4.31 KB, patch)
2009-01-29 08:41 EST, Prarit Bhargava
no flags Details | Diff

  None (edit)
Description Chris Adams 2009-01-12 17:30:08 EST
The kernel attempts to print a message when a leap second is inserted or removed.  This can cause kernel versions prior to 2.6.29 to hang, due to a deadlock on xtime_lock.  See http://lkml.org/lkml/2009/1/2/373 for a trace and explanation.

The simplest solution for the older RHEL kernels is probably just to remove the leap second printks.
Comment 1 Prarit Bhargava 2009-01-28 12:49:17 EST
See comments in 479695, the RHEL5 version of this BZ.

P.
Comment 2 Prarit Bhargava 2009-01-29 08:41:13 EST
Created attachment 330351 [details]
RHEL4 fix for this issue
Comment 4 Ludek Smid 2009-02-09 08:55:46 EST
Proposed for RHEL 4.8, based on comment #3.
Comment 5 RHEL Product and Program Management 2009-02-09 09:09:46 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 8 Vivek Goyal 2009-03-11 10:10:34 EDT
Committed in 83.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 11 errata-xmlrpc 2009-05-18 15:37:18 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1024.html

Note You need to log in before you can comment on or make changes to this bug.